commit c618731
Author: novakji <j.novak@netsystem.cz>
Date:   Sun Nov 13 20:20:17 2016 +0100

    SDP: Payload type name for dynamic payload is wrong for reverse RTP channels
    
    Bug: 13132
    Change-ID: I61a2575f9d8da958ae2fb01c71f3c71c9643ddea
    Reviewed-on: https://code.wireshark.org/review/18804
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 737dabb0437bd5a0a1f4c07189ca59f1c83afb55)
    
    Change-Id: I7046c8c53f196a3e70986f5461847e3c1c50e6e9
    Reviewed-on: https://code.wireshark.org/review/18839
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit baf7f95
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Aug 5 15:39:26 2016 -0700

    CMake: Look for vcredist_x??.exe in more places.
    
    Look for the redistributable installer in the project library directory
    before %VCINSTALLDIR%. This lets us ship a specific version of the
    redistributable.
    
    Change-Id: I70e5aa90ac5addba5355d1964aeb50e277d1a8d4
    Ping-Bug: 12712
    Reviewed-on: https://code.wireshark.org/review/16922
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 0eee62affe9e6b935fdc37a0d72d5c27c5c7651a)
    Reviewed-on: https://code.wireshark.org/review/18831
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2c8422f
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Nov 10 09:10:44 2016 +0100

    androiddump: Set socket connect() timeout to 500ms
    
    This should avoid neverending or long time to obtain timeout
    in some cases like firewall's drop rules, etc.
    
    Bug: 13104
    Ping-Bug: 13114
    Change-Id: I9bef714b6d92b3516a2a95ebdbe1ba594fa60e34
    Reviewed-on: https://code.wireshark.org/review/18728
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Reviewed-by: Dario Lombardo <lomato@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 720927a10ea9fe5a82155080114d85b8638f3b8c)
     [Michal: removed version bump]
    Reviewed-on: https://code.wireshark.org/review/18812
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2644fbb
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Nov 7 14:57:56 2016 +0100

    L2TP: Fix dissection when unknown vendor AVP
    
    Bug: 13103
    Change-Id: I531aeb941bb80a1ac403d5e0ffcb6ba549ea9370
    Reviewed-on: https://code.wireshark.org/review/18699
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit fc99bca3cfa0af0e908b4e25156a87f6c7f5d3d9)
    Reviewed-on: https://code.wireshark.org/review/18818

commit 8c4a822
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Nov 14 11:24:35 2016 -0800

    More release note updates for 2.2.2.
    
    Change-Id: I8739823de001ebf43de06ded5b2f04c2783766ed
    Reviewed-on: https://code.wireshark.org/review/18821
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e1a09b4
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Sun Nov 13 20:16:49 2016 +0100

    DICOM: Reassemble only when "More Fragments" is set.
    
    When a TCP frame contains more DICOM segments, make sure that
    only segments with "More fragments" bit set gets reassembled.
    
    Bug: 13110
    Change-Id: Ie19c71285a00240a035ff92ce3183de4d9048cbd
    Reviewed-on: https://code.wireshark.org/review/18805
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit fde5e29fc14d593ef90ae32adf2c9016c7a550c2)
    Reviewed-on: https://code.wireshark.org/review/18816

commit 14bba92
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Nov 11 21:58:45 2016 -0500

    packet-dtn.c break loop if evaluate_sdnv doesn't succeed.
    
    Bug: 13097
    Change-Id: If6128f5a3c940b4713c396e1a4a8f002a6bd03b8
    Reviewed-on: https://code.wireshark.org/review/18764
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 63776db384f75b2dc793cab46cf27250d8913711)
    Reviewed-on: https://code.wireshark.org/review/18810

commit 4fe6755
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Oct 18 20:34:37 2016 -0400

    tcp: Fix Follow TCP tap data and when its tapped.
    
    Use the model from the 2.0 branch and earlier that only "tapped" the
    follow data in a single location. This fixes duplicate data for
    reassembled data and handles out-of-order packets.
    
    Bug: 12855
    Change-Id: I5268f13e3c08e9271acf026b859de693ad794c94
    Reviewed-on: https://code.wireshark.org/review/18368
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 66fa31415ff8d520c71dc66718599e941ed05c29)
    Reviewed-on: https://code.wireshark.org/review/18736
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 26b9227
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Nov 13 22:05:01 2016 +0100

    tvbuff_composite.c: fix composite_get_ptr when length is over 2 segments
    
    When storing a copy of the composite tvb in tvb->real_data, ensure to copy the full
    data and not only the length currently requested by the call to tvb_get_ptr()
    
    Change-Id: I6b42f3d46c4fba83fadf4d06f465c8d2486f4853
    Reviewed-on: https://code.wireshark.org/review/18806
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 4fd9872d11d3d575d8f261097c51a7d30b36ee40)
    Reviewed-on: https://code.wireshark.org/review/18809

commit 1398f67
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 13 09:51:09 2016 -0800

    [Automatic update for 2016-11-13]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: If8cf6d77af5af4cf20ec22d6e5e6e7478c0408fc
    Reviewed-on: https://code.wireshark.org/review/18801
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5a45dd2
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Nov 10 16:51:41 2016 +0100

    Qt: populate Bookmarks menu in capture options dialog
    
    The bookmarks menu is populated for the main window when the
    appInitialized signal is emitted, this ensures that any preferences are
    applied.
    
    For the Capture Options dialog however, the appInitialized signal is
    never triggered since the GUI has already started. Just invoke it from
    the constructor such the menu is populated at least once.
    
    Bug: 12986
    Change-Id: I04457fd25e52a25714ac471131b90e3a128515d8
    Reviewed-on: https://code.wireshark.org/review/18734
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit efe95fa8fd79d4c087ce587143c000dd61218bc0)
    Reviewed-on: https://code.wireshark.org/review/18761
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 528d2e6
Author: novakji <j.novak@netsystem.cz>
Date:   Sat Nov 12 21:16:53 2016 +0100

    Allocate transport_info->encoding_name from correct memory pool
    
    Bug: 13127
    Change-Id: I09893fadc6f64316a373ddb8ac72e07a6743e149
    Reviewed-on: https://code.wireshark.org/review/18758
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 5b348a48e5b240f703f400be3161fd4bc3caa56e)
    Reviewed-on: https://code.wireshark.org/review/18762

commit bb0ed31
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Sat Nov 12 13:19:34 2016 +0100

    Really return manufacturer name if it's known.
    
    Bug: 13126
    Change-Id: I56e935cea7aa323941ac612d4954875a01910684
    Reviewed-on: https://code.wireshark.org/review/18752
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit f773e6cbf47e7b81b3596b3e6ff33581f4865b45)
    Reviewed-on: https://code.wireshark.org/review/18757

commit 7e62fab
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Nov 11 16:40:18 2016 -0800

    Update the release notes for 2.2.2.
    
    Change-Id: I83e6111330818942738ddb69d9ccce79c1676da8
    Reviewed-on: https://code.wireshark.org/review/18751
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a1ee5dc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Nov 11 14:37:06 2016 -0800

    Dissect the checksum field as a string, as that's what it is.
    
    Bug: 13125
    Change-Id: Ib5d02e8841eb7e4d04e6a1df44a5eba5b925ce6c
    Reviewed-on: https://code.wireshark.org/review/18749
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 134f5ad96c55806c3410555a52a4b5407f472e48)
    Reviewed-on: https://code.wireshark.org/review/18750

commit 1fd1b98
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Nov 11 14:48:21 2016 +0100

    ftype-guid.c: fix FT_GUID filtering
    
    g_strlcpy copies at most n-1 bytes to ensure that the string is NULL terminated.
    
    Bug: 13121
    Change-Id: I4f1677c518e65eb58b79d72052520ecce8c51722
    Reviewed-on: https://code.wireshark.org/review/18743
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit aba4d3a3a7d8c7f97290621085a8fb7a33942847)
    Reviewed-on: https://code.wireshark.org/review/18745

commit 05d82dc
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Nov 10 14:14:49 2016 +0100

    [XML] default_media_types should be in lower case.
    
    Change-Id: Ibd55b76a0ccbfcf511afb4e99144a0d1115e5af2
    Reviewed-on: https://code.wireshark.org/review/18732
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 73145b4d7c2b6928dfe4b62f5f837aaac866a5ec)
    Reviewed-on: https://code.wireshark.org/review/18738

commit 9e70ead
Author: Anthony Coddington <anthony.coddington@endace.com>
Date:   Fri Oct 14 12:46:29 2016 +1300

    ERF: Fix issues with Host ID mapping
    
    packet-erf: Fix Host ID/Source ID showing for all extension header types.
    Only show generated Host ID/Source ID when there is a Host ID extension header
    or there was not one on the record.
    Assumes there is only one Source ID if multiple Flow ID extension headers (unlikely)
    and that it matches the one in the Host ID header. This is consistent with other tools.
    Does support multiple Host ID extension headers though.
    
    Fix dag_version tag short name. Was clashing with another tag due to typo.
    
    ERF wiretap: Don't conflate Host ID 0 with implicit Host ID.
    
    While the implicit Host ID defaults to 0, it is not the same thing as seeing
    a packet with Host ID explicitly 0 in the extension header which means
    explicitly unknown source.
    Store the initial (unknown) implicit Host ID interface mapping in it's own
    special mapping table entry rather than 0.
    
    Noticed we can currently get duplicate interfaces in the unusual event of mixed
    implicit and explicit Host ID packet extension headers for the same ID before
    we discover that mapping.
    Consistently abandon the implicit version for consistency with the dissector
    linking behaviour and mark the interface as unmatched in the description. In
    2 pass mode (including normal Wireshark file open) the abandoned interface ends
    up with no packets. In the common cases (all Host ID or no Host ID on packet
    records) this duplicate interface will not be created in the first place.
    
    Change-Id: Ic5d0b2ce9aae973f1693a247cf240ef1324ff70a
    Ping-Bug: 12303
    Reviewed-on: https://code.wireshark.org/review/18704
    Reviewed-by: Stephen Donnelly
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7531318e054153fbd5e33624ef30314acd52b6bc)
    Reviewed-on: https://code.wireshark.org/review/18717
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a3bc80a
Author: sangodbole <sanket.godbole@spirent.com>
Date:   Wed Nov 2 16:56:18 2016 -0400

    Added Dissector for Openflow Experimenter Value field for Openflow 1.3 and 1.4
    
    Change-Id: I79d7b9afbde34451b545ac7e67c22b012843d822
    Reviewed-on: https://code.wireshark.org/review/18654
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 43a60c03f63259dd0c759d0effe3a5dfc57d6546)
    Reviewed-on: https://code.wireshark.org/review/18701
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 313683b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Nov 8 09:37:12 2016 +0100

    print.c: fix ek output
    
    follow-up of g1b91475
    
    Bug: 13086
    Change-Id: I7171c50a0b113e3036860941b586e96a068fea9e
    Reviewed-on: https://code.wireshark.org/review/18705
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit c12280f804d419cbcd386a6d662f150a66012d71)
    Reviewed-on: https://code.wireshark.org/review/18706

commit 9f145ad
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Nov 4 07:45:09 2016 +0100

    JSON: print field value for an item containing a subtree
    
    For fields that contain both a value and a subtree, print the value and
    then create a new item with a _tree suffix for the subtree content
    
    Bug: 13086
    Change-Id: I5a3c96bf9895d87faff3925d439bb54b73769a3e
    Reviewed-on: https://code.wireshark.org/review/18663
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kacer <kacer.martin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 1b91475e0da15e58a9df7cd0cee6a463a8e0c97e)
    Reviewed-on: https://code.wireshark.org/review/18703

commit 7b43bc3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Nov 6 11:02:51 2016 -0800

    Get rid of Boolean "flags" that don't have any bit set.
    
    And tweak the Pidl generator for Wireshark not to generate "flags" like
    that.
    
    (The generator also does field name and true/false strings' case
    differently, so I didn't use it to regenerate the dissectors; that needs
    to be looked at.)
    
    Change-Id: I8554d4fbb9dce38d73db41b00823f54b8243545f
    Reviewed-on: https://code.wireshark.org/review/18696
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 51651d3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Nov 6 08:22:40 2016 -0800

    [Automatic update for 2016-11-06]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I9c0694c4ee46b1f2219ed9997cad26c6f647fb83
    Reviewed-on: https://code.wireshark.org/review/18692
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ddbec0a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jul 21 23:27:05 2016 +0200

    GVSP: enforce heuristic (get some false positive with STUN)
    
    Change-Id: Ic1da51a71ee4fa60267751d7bb3f46225ad2f084
    Reviewed-on: https://code.wireshark.org/review/16573
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 6fbaf9be34e8745b2781294afdcf2822528a6349)
    Reviewed-on: https://code.wireshark.org/review/18652
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c680283
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Nov 5 17:21:23 2016 +0100

    E.212: fix identification of PLMNs with 3 digits MNC ending with a 0
    
    Split PLMNs arrays in 2 so as to clearly konw if the MNC is 2 or 3 digits long
    
    Bug: 13092
    Change-Id: Ic5f776f3c1e5141f8739bf2137ebd046f7e4a0d6
    Reviewed-on: https://code.wireshark.org/review/18679
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit f894379ea73619d6c31e5c4932d93e307741ffec)
    Conflicts:
            epan/dissectors/packet-e212.c
            epan/dissectors/packet-e212.h
            epan/dissectors/packet-eap.c
    Reviewed-on: https://code.wireshark.org/review/18688

commit eabf820
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Nov 5 13:37:34 2016 +0100

    6LoWPAN: Use correct full name
    
    6LoWPAN is not only used over IEEE 802.15.4, so adjust the full name.
    
    Change-Id: I56305baa74c0cc9337dfd5e813965035fd7dcec6
    Reviewed-on: https://code.wireshark.org/review/18677
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    (cherry picked from commit d7ef9461d3ae5b5a4ddea70846b1185f5c0bd83c)
    Reviewed-on: https://code.wireshark.org/review/18678

commit 609ba63
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Oct 31 23:16:00 2016 +0100

    autotools: propagate git version info to distribution tarball
    
    Store the git describe output in the distribution tarball (make dist)
    and ensure that this version is always used for builds from this
    tarball. This will prevent the useless "Git Rev Unknown from unknown"
    output in tar-based builds.
    
    It will also prevent git from being invoked in tarball builds.
    
    Remove the git branch name since the commit ID (and git tag) in the git
    describe output is sufficient to identify the source tree. (In SVN, a
    revision ID had to be paired with a branch name to identify the source
    tree, in git this is no longer the case.)
    
    Change-Id: Iffe142b6efd81e857802eb604d6310cfd301d207
    Reviewed-on: https://code.wireshark.org/review/18415
    Reviewed-by: João Valverde <j@v6e.pt>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Dario Lombardo <lomato@gmail.com>
    (cherry picked from commit 9490f5e98db1c18aa527464373ac149ed3ac285b)
    Reviewed-on: https://code.wireshark.org/review/18630
    Petri-Dish: João Valverde <j@v6e.pt>

commit c809377
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Nov 3 08:49:10 2016 +0100

    USB Audio: Fix dissection of unit descriptors missing the iFeature field
    
    Issue reported by Vladimir Vysotsky
    
    Bug: 13085
    Change-Id: Ibdc1bf662f852818777cfb44fa19d798972390ca
    Reviewed-on: https://code.wireshark.org/review/18651
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit dcd0bed7a97edc2f19a63bdf9b7ff6dcb37cd96b)
    Reviewed-on: https://code.wireshark.org/review/18653

commit 2b4f018
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Nov 2 18:57:12 2016 -0700

    RTS_FLAG_NONE is a flags field value, but it's not a flag bit.
    
    It's the *absence* of flag bits, so you can't test whether it's set;
    don't have a field for it.  This gets rid of a dissector assertion.
    
    Add some more URLs for information about DCE RPC and MS-RPC.
    
    Change-Id: I53e8f11692c66e16ae2ec7fd4ba8eb90b0673da4
    Reviewed-on: https://code.wireshark.org/review/18648
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit eb56b7172d33605cbb969afd91beb302f89013ed)
    Reviewed-on: https://code.wireshark.org/review/18649

commit 9235611
Author: Thomas Wiens <th.wiens@gmx.de>
Date:   Tue Nov 1 12:54:23 2016 +0100

    proto: Decode negative values in a bitmask field
    
    Allows to use negative values (FT_INT) in a bitmask field.
    If a field type greater or equal (FT_(U)INT40) is used then also
    a 64 bit value string and 64 bit format function must be used.
    
    Change-Id: I472728451212c87983f4d945c9bda1bf3110ebe3
    Reviewed-on: https://code.wireshark.org/review/18634
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 829acdf
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Nov 2 09:31:52 2016 +0100

    SNA: fix dissection of GDS Variables
    
    Decode the header as specified in http://www.retrocomputing.net/info/doc/GA27-3136-20_SNA_Formats.pdf chapter 13.
    Note that the Information field is not decoded yet.
    
    Bug: 13084
    Change-Id: Iaaee344ef0b2805906a3eeae1134479abf9d403e
    Reviewed-on: https://code.wireshark.org/review/18616
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 2a651cfc663b87dca4a526a71724b13fb45091cf)
    Reviewed-on: https://code.wireshark.org/review/18624

commit 8b87a52
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Oct 31 22:49:20 2016 +0100

    make-version.pl: fix --print-vcs output
    
    Detect earlier whether to write VCSVERSION to version.h such that the
    --vcs-version output matches the contents of version.h.
    
    Change-Id: I5c05087679bb7861cd5884426b39fa362bf23a16
    Fixes: v2.1.0rc0-2770-geeded81 ("Add option to disable version.h")
    Reviewed-on: https://code.wireshark.org/review/18599
    Reviewed-by: João Valverde <j@v6e.pt>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 27bd013970476b21ab55ff67eda88cd3228860fe)
    Reviewed-on: https://code.wireshark.org/review/18628

commit 43a324e
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Thu Oct 27 09:24:06 2016 +0100

    make-version: Clean up handling of VCSVERSION
    
    Change-Id: If8228267da4a9290f5abf99c5ac518c3dec0a283
    Reviewed-on: https://code.wireshark.org/review/18443
    Petri-Dish: João Valverde <j@v6e.pt>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: João Valverde <j@v6e.pt>
    (cherry picked from commit 33f8c27769d8f57a13c040c52e76f3e2392c9ca5)
    Reviewed-on: https://code.wireshark.org/review/18626

commit 57c81ec
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Oct 31 23:02:44 2016 +0100

    Small fixes for JSON output
    
    - reinitialize the variable used to insert comma between packets when
    performing a new export
    - ensure that escaped ASCII characters are code on 4 digits characters
    
    Change-Id: Ib557da4843f6b98f793b60e417260ebb27a38b99
    Ping-Bug: 13073
    Reviewed-on: https://code.wireshark.org/review/18598
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit b0eac84840567f2e535faf01816e3c1a87473213)
    Reviewed-on: https://code.wireshark.org/review/18612
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 38170d2
Author: Thomas Wiens <th.wiens@gmx.de>
Date:   Mon Oct 31 10:57:49 2016 +0100

    bitmask: add missing break statement
    
    Change-Id: Ia9cb54431c8c274c46e299b6a6da8cac14bda88e
    Reviewed-on: https://code.wireshark.org/review/18591
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit b61cfd7ec17f9646ceecadddbe2b79dcfb72cb96)
    Reviewed-on: https://code.wireshark.org/review/18592

commit 574c8a3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Oct 30 16:06:24 2016 -0700

    Don't use proto_tree_add_{uint,uint64}() to add signed integer values.
    
    Change-Id: I89cc704ae5dfa7fa9fc90baad889ef5d9aff996e
    Reviewed-on: https://code.wireshark.org/review/18585
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 22dae79
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Oct 30 08:22:02 2016 -0700

    [Automatic update for 2016-10-30]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I9e8bfbb9077aa7ff47ffb1e8540e654445188822
    Reviewed-on: https://code.wireshark.org/review/18578
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6c7b4ce
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Oct 30 02:08:15 2016 -0700

    Update libssh to 0.7.3.
    
    Also, don't try to uninstall it, as CMake helpfully provides no
    uninstall target.
    
    Change-Id: I936a8adeecc3c1f0ca71d044467846ffc33ae7b2
    Reviewed-on: https://code.wireshark.org/review/18574
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-on: https://code.wireshark.org/review/18575

commit 51348a7
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Oct 30 00:14:04 2016 +0200

    OpenFlow 1.4: check length to avoid rewinding offset
    
    Bug: 13071
    Change-Id: Ia9d55212fe8423311222330ed516da35ee9f53de
    Reviewed-on: https://code.wireshark.org/review/18565
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit d1a7ed109b37c87546393160e03223e7bf770d57)
    Reviewed-on: https://code.wireshark.org/review/18569

commit 3f45798
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Oct 29 20:15:45 2016 +0200

    DCERPC: save strings in wmem file scope
    
    Bug: 13072
    Change-Id: Ib5f3d91be822a3d7180d95e3299dec978941c1d5
    Reviewed-on: https://code.wireshark.org/review/18564
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 929ad3805fa31431c39de629e9b09e77e8152709)
    Reviewed-on: https://code.wireshark.org/review/18567

commit 568616f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Oct 28 14:41:40 2016 +0200

    ANSI IS-637 A: fix decoding of IA5 SMS
    
    Give the right buffer to the decoding function
    
    Bug: 13065
    Change-Id: I0e41e04fb68602d95ea6f060c1a37c8b8596134d
    Reviewed-on: https://code.wireshark.org/review/18548
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 3b1d9913711d4818388e350684cadb94255a98eb)
    Reviewed-on: https://code.wireshark.org/review/18549

commit ce92f90
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Oct 27 23:41:51 2016 +0200

    merge.c: do not give a NULL pointer when saving SHB comment option
    
    Bug: 13060
    Change-Id: Ib3dd019f73305e4006b312d324502e4a138c6a16
    Reviewed-on: https://code.wireshark.org/review/18514
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 1fae14257a8a7ade813930097a12dd3e555a9f76)
    Reviewed-on: https://code.wireshark.org/review/18515

commit d7ad4f9
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Oct 26 21:06:58 2016 +0200

    Update libssh to 0.7.3
    
    Change-Id: Ib5f93d0e3be2866e665713af3a1fa95a4f3253b7
    (cherry picked from commit c7b3cf725845fe4c32bf34a65a95d529c5e9f50f)
    Reviewed-on: https://code.wireshark.org/review/18494
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8391aa8
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Oct 26 10:15:07 2016 -0700

    Qt: Set uniformRowHeights for some of our trees.
    
    Set the uniformRowHeights property for a few of our QTreeWidgets. This
    can improve performance, particularly when we have many items.
    
    Change-Id: I2685646a533aa7accfb3a8578b5198894d873fb2
    Reviewed-on: https://code.wireshark.org/review/18479
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5766d1e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Oct 26 11:16:26 2016 -0700

    Properly align the text in an error message.
    
    Change-Id: Id8081c26bbe1349f9a7c89daf1188ba9de7da210
    Reviewed-on: https://code.wireshark.org/review/18477
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a7bc4b81463d73e181b7b88b2940e4aef31cf247)
    Reviewed-on: https://code.wireshark.org/review/18478

commit 2e51bc2
Author: ruengeler <ruengeler@wireshark.org>
Date:   Wed Oct 19 17:10:53 2016 +0200

    SCTP: find right assoc id
    
    Change-Id: I107b7f4c585ef5e080d6473a37b3db9a97f12365
    Reviewed-on: https://code.wireshark.org/review/18325
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit c63f89515985a8db0aa8a500b1832474619090aa)
    Reviewed-on: https://code.wireshark.org/review/18467

commit 136ff7f
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Oct 22 23:29:56 2016 +0200

    Qt: fix possible crash on sorting custom columns
    
    The sorting function must maintain a strict weak ordering, otherwise it
    may result in crashes. In the case of custom columns, this was violated
    when exactly one of the two rows had a non-numeric value.
    
    Bug: 13023
    Change-Id: Ie338b1cce5156eeb313dd33491ee3d3f2eaddf1c
    Reviewed-on: https://code.wireshark.org/review/18406
    Reviewed-by: Jim Young <jim.young.ws@gmail.com>
    Petri-Dish: Jim Young <jim.young.ws@gmail.com>
    Tested-by: Jim Young <jim.young.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 3b502c873f2b30e661d46693d3a3f6fcba9474ea)
    Reviewed-on: https://code.wireshark.org/review/18429
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 0dc72c4
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Oct 23 18:51:09 2016 +0200

    ZigBee Green Power: fix loading of keys during runtime
    
    Register a post update calback to ensure that the keys are loaded
    for all entries and not only the ones last edited
    
    Bug: 13031
    Change-Id: Ib670f9e1c702546631df5fe6094b02484806dd00
    Reviewed-on: https://code.wireshark.org/review/18416
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit a3a20531b1a7ae2bb8b48ca25fbe27f10e2462a9)
    Reviewed-on: https://code.wireshark.org/review/18419

commit a8d5526
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Oct 23 08:21:12 2016 -0700

    [Automatic update for 2016-10-23]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I321856652a70c7a2dd2fe4a52c527867431e493e
    Reviewed-on: https://code.wireshark.org/review/18413
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f44fd03
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Oct 21 00:50:03 2016 +0200

    alljoyn: fix signature length adjustments
    
    Ensure that the signature pointer and length always matches, otherwise a
    buffer overrun (read) is possible.
    
    Tested with the original captures from bug 12953, the PDML output is
    still the same while the fuzzed capture does not crash anymore.
    
    Bug: 12953
    Change-Id: I8843a5daf98a79fb19906e824326cdf619164484
    Reviewed-on: https://code.wireshark.org/review/18347
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    (cherry picked from commit 7dfaec969e67e3aa14b9763d804802ef614c9ddd)
    Reviewed-on: https://code.wireshark.org/review/18408
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a8cad85
Author: boris.bochkarev <Boris-Bochkaryov@yandex.ru>
Date:   Thu Oct 20 17:45:53 2016 +0700

    AMPQ: Fix malformed packed in session.expected and session.confirmed.
    
    Bug: 13037
    Change-Id: I935ff68050eb085789d9bd99b5ec833609c6fdca
    Reviewed-on: https://code.wireshark.org/review/18336
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 812e5fd893915591cd7cea34f275efc0c30cdd0a)
    Reviewed-on: https://code.wireshark.org/review/18403

commit cd7c71d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Oct 22 03:18:06 2016 -0700

    Clean up conditional code for getting creation time.
    
    Define a macro to get the creation time from a stat structure, or to
    return 0 if the creation time is unavailable, and use that in both
    places where we fetch the creation time.
    
    Change-Id: I15354f2d52a40cb1227f30ae274120575eec2055
    Reviewed-on: https://code.wireshark.org/review/18387
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit e80a8acbe3cb0d0bdefeff51292bd90c3461a02a)
    Reviewed-on: https://code.wireshark.org/review/18389

commit ddde79b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Oct 22 01:56:48 2016 -0700

    Fix the #defines for the presence of structure names.
    
    AC_CHECK_MEMBER() and AC_CHECK_MEMBERS() use a standard name for the
    {structurename} being the name of the structure type, complete with
    "struct" if a typedef wasn't used, and with all letters mapped to upper
    case, and with {membername} being the name of the structure member, with
    all letters mapped to upper case.
    
    check_struct_has_member() lets you choose the name; choose the same name
    that the autoconf macros use, and fix the code to check for them.
    
    Change-Id: Ifb3cf65e7e94907ad0a2f8aacca0c21a531f0c5b
    Reviewed-on: https://code.wireshark.org/review/18382
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5f68435a079dc7ce633e1da22f363e4e715d66f6)
    Reviewed-on: https://code.wireshark.org/review/18384

commit ce6e29b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 21 22:19:46 2016 -0700

    On UN*X, st_ctime is the last status change time, not the creation time.
    
    That's the time the file's inode last changed, so size changes,
    permission changes, etc. affect it.  It's *not* the time the file was
    created; most UN*Xes don't provide that.  Newer versions of FreeBSD,
    NetBSD, OpenBSD, and macOS do, but other UN*Xes don't appear to.
    
    On Windows, at least according to Microsoft's documentation, st_ctime
    *is* the creation time.  Hopefully that's not the result of confusion on
    the part of somebody at Microsoft.
    
    Change-Id: I20743703f6ef66e40dff9004dc91bed46af6fad0
    Reviewed-on: https://code.wireshark.org/review/18378
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 528894e72f973c5db5dc76c975620754f7bbe5aa)
    Reviewed-on: https://code.wireshark.org/review/18380

commit 31e1149
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 21 20:46:48 2016 -0700

    Suppress "discarding const" warning.
    
    Change-Id: I5f97b70d7f423cb5b7792863fb2bd07516aa1951
    Reviewed-on: https://code.wireshark.org/review/18375
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d16295bc9b48a526f12237467536bac4220e53da)
    Reviewed-on: https://code.wireshark.org/review/18376

commit 39438c4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 21 19:53:32 2016 -0700

    Fix some errors from the previous commit.
    
    Pro tip: if you're modifying GTK+ code, make sure you explicitly
    configure to build the GTK+ version.
    
    Change-Id: Ia24321a5037dff67d9acf1444fa0b74f5aed089e
    Reviewed-on: https://code.wireshark.org/review/18371
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 53d3e3c25ef7037ba28b93dd684f5de4c015767f)
    Reviewed-on: https://code.wireshark.org/review/18372

commit b8f7aff
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 21 19:18:15 2016 -0700

    More checks for localtime() and gmtime() returning NULL.
    
    And some comments in the case where we're converting the result of
    time() - if your machine's idea of time predates January 1, 1970,
    00:00:00 UTC, it'll crash on Windows, but that's not a case where a
    *file* can cause the problem due either to a bad file time stamp or bad
    time stamps in the file.
    
    Change-Id: I837a438e4b875dd8c4f3ec2137df7a16ee4e9498
    Reviewed-on: https://code.wireshark.org/review/18369
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 10ca4c7527122efde0300205deaa6c0143f07219)
    Reviewed-on: https://code.wireshark.org/review/18370

commit d0ec59c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 21 17:08:03 2016 -0700

    localtime() can return NULL, even if it's unlikely.
    
    ANSI C says it can return NULL - and, at least on Windows with the MSVC
    library, it *will* return null for dates prior to the Epoch.  Check for
    a null return and handle it.
    
    Fixes CID 1374109.
    
    Change-Id: Ib18566d1a75e4109adb21834b157e87532fcac10
    Reviewed-on: https://code.wireshark.org/review/18365
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 49cf42c571f3f94632957371ccd99533e71764ff)
    Reviewed-on: https://code.wireshark.org/review/18366

commit 0cf4731
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 21 15:48:34 2016 -0700

    gmtime() can return NULL, even if it's unlikely.
    
    ANSI C says it can return NULL - and, at least on Windows with the MSVC
    library, it *will* return null for dates prior to the Epoch.  Check for
    a null return and handle it.
    
    Fixes CID 1374110.
    
    Change-Id: I78bf92cfbb94a86544442269cc3b53338eb19778
    Reviewed-on: https://code.wireshark.org/review/18361
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 362b83f44a4a6a731c64f8a6591ee717af2454a0)
    Reviewed-on: https://code.wireshark.org/review/18362

commit 8fc0f73
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Oct 21 15:29:59 2016 -0700

    Clean up file handle management.
    
    The main reason fclose() could fail is if the file is open for writing,
    not all the buffered data has been written out at the time fclose() was
    called, and the attempt to write it out fails.  In any case, the file
    handle is no longer valid after fclose() completes, whether the close
    succeeds or not, so there's no reason to keep it around.
    
    There's no reason to check whether it's null in a loop called in code
    where it's not null to start with and where it's not set to null in the
    loop.
    
    This should fix CID 1374111.
    
    Change-Id: Ib8067a17731b41d6b184a5a415addc2ecaa7c00c
    Reviewed-on: https://code.wireshark.org/review/18359
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit a6d81effbc23acce59fd88b8f828fe8c753eeb0d)
    Reviewed-on: https://code.wireshark.org/review/18360

commit 326ce4f
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Oct 19 15:54:32 2016 +0200

    cmake: add dependency to build manual pages
    
    "add_custom_command" outputs are only available as dependency in the
    same directory, so create a new target such it can be used from the main
    directory.
    
    This fixes the OS X build with no parallelism (-j1).
    
    Change-Id: I66aa5ae307be38ee715456a05fd55f55e4fa76e9
    Reviewed-on: https://code.wireshark.org/review/18299
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Roland Knall <rknall@gmail.com>
    (cherry picked from commit c9fa9b51dea34dc5576c61c14633753b2bcc5768)
    Reviewed-on: https://code.wireshark.org/review/18343

commit 198fdae
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Oct 19 11:03:15 2016 -0400

    Skype: Remove TCP heuristic dissection
    
    It was taking any/all TCP packets.
    
    Also clean up a little of the UDP heuristic.
    
    Change-Id: Iae08e79c0d71e4676cfc7821372ab9581c1d1cfc
    Ping-Bug: 13029
    Reviewed-on: https://code.wireshark.org/review/18322
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 404c31492be8b01d1b6bf9944ea3bb71feb92dd6)
    Reviewed-on: https://code.wireshark.org/review/18328
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 5d6be2c
Author: Hessam Jalali <hessam.jalali@gmail.com>
Date:   Wed Oct 19 15:57:46 2016 +0330

    e212: Fix for e212.*.mnc
    
    when mnc was not detected as long, the value was shown as e212.mnc instead of e212.*.mnc (e.g e212.rai.mnc)
    
    Change-Id: Ic0d275f259e1121abb1b7812651fadb9d475053e
    Reviewed-on: https://code.wireshark.org/review/18317
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit b31bdfdc58ed78a409a35f1f5861010701935236)
    Reviewed-on: https://code.wireshark.org/review/18323

commit 2ebb6d3
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Wed Oct 19 09:51:23 2016 +0200

    IP: Fix evil flag expert item text
    
    When creating the expert info item definition the copied line wasn't
    updated with the correct message text. This change sets the right text.
    
    Change-Id: I9a98126c0b8a650e5ab195f97c53bb32e3053e89
    Reviewed-on: https://code.wireshark.org/review/18301
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit 1d35c7f096792d5c2d873a3585de462d8fe54ee8)
    Reviewed-on: https://code.wireshark.org/review/18310

commit 4039bc7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Oct 18 13:29:24 2016 +0200

    BGP: fix bgp.ls.tlv.link_protection_type_value is not of an FT_{U}INTn type]
    
    Bug: 13021
    Change-Id: I3464c7af61323efb25dd89655865d536aeae6e59
    Reviewed-on: https://code.wireshark.org/review/18261
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 9796e811f51892db729e02735a8bf31628ea7dcb)
    Reviewed-on: https://code.wireshark.org/review/18292

commit 187ae08
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Oct 18 13:48:51 2016 -0700

    Fix typo.
    
    Change-Id: Ie28490c93736c7e95f0b1eaed1e075e61f005e16
    Reviewed-on: https://code.wireshark.org/review/18289
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 6a14408bf62f534db2374f131195fc2c42785f57)
    Reviewed-on: https://code.wireshark.org/review/18290

commit fb35643
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Oct 17 16:28:58 2016 -0700

    Separate "Link Access Control Protocol" and the version number with a space.
    
    Change-Id: I11d3e3b5b25d8f42fac613f464620371d2643ab5
    Reviewed-on: https://code.wireshark.org/review/18251
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 867f2829c1c4e1f67b14a5ace5cc9f29e971a6c9)
    Reviewed-on: https://code.wireshark.org/review/18252

commit 221f370
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Oct 16 08:20:32 2016 -0700

    [Automatic update for 2016-10-16]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Id5752968f689bfbf915b3ded0b8a26370eb3c57a
    Reviewed-on: https://code.wireshark.org/review/18219
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 926711c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Oct 15 14:27:17 2016 -0700

    Fix bin2hex().
    
    It was repeatedly overwriting the first character in the buffer, rather
    than appending characters.
    
    Change-Id: Ie34d194d69ac3d685416323c93764aa401d78faa
    Reviewed-on: https://code.wireshark.org/review/18209
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 74174367ff72257a7bd485f9a48c3c3667bd8e3b)
    Reviewed-on: https://code.wireshark.org/review/18210

commit ccd0987
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Thu Oct 13 21:16:55 2016 +0200

    Append Integer32 value to varbind also.
    
    Integer32 is handled slightly different from other values, but
    that doesn't mean its pi_value shouldn't be saved to add to the
    varbind later on.
    
    Bug: 13013
    Change-Id: I6789a75ffd3bb95b7dd68f9cb356dbd85fc669d4
    Reviewed-on: https://code.wireshark.org/review/18189
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit db690aa4444322d85f40ecef7892ec12b3e423b9)
    Reviewed-on: https://code.wireshark.org/review/18203
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f44319f
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Fri Oct 14 08:07:18 2016 +0200

    Retrieve CLNP option values from the right place
    
    Use proper offsets when getting and presenting option values
    for error reports. Limit the use of the error position
    highlighting feature to 'field' only.
    
    Bug: 12993
    Change-Id: Ie9d6644203cf849dbb8efe15e87249a3aace3b5c
    Reviewed-on: https://code.wireshark.org/review/18195
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>
    (cherry picked from commit 3a08906ca7c1e66037977f0e701af6a7c89bd4f9)
    Reviewed-on: https://code.wireshark.org/review/18201
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c961396
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Oct 15 01:07:44 2016 -0700

    Add the directory containing the executables to a file in /etc/paths.d.
    
    Do for executables what we do for man pages.
    
    Change-Id: I066f0199fd6064cae21e6ad079a1f344e1002c66
    Reviewed-on: https://code.wireshark.org/review/18205
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit fb9ce2796cff7c896b0fec5042711b695f88be08)
    Reviewed-on: https://code.wireshark.org/review/18206

commit 0d52587
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Thu Oct 6 10:26:27 2016 -0400

    Lua: allow creating TVBs after calling other (Lua) dissectors.
    
    Don't set `lua_tvb` (or any of the other global variables) to NULL after a
    Lua dissector is called: it's possible that the caller is also a Lua dissector
    which may want/need that (global) variable to still be set (to the value it
    had before the sub-dissector was called).
    
    This fixes the problem reported in:
    https://ask.wireshark.org/questions/56110/lua-error-tvbs-can-only-be-created-and-used-in-dissectors
    
    Making these variables not be a globals (as suggested at the top of
    init_wslua.c) might be a better solution--for another day.
    
    Change-Id: I14fb8ec35b62abeda3f3471a323b88c80537a06e
    Reviewed-on: https://code.wireshark.org/review/18095
    Petri-Dish: Jeff Morriss <jeff.morriss.ws@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 38682523f9ce3ed378c782a848ba1ba5a6fe430f)
    Reviewed-on: https://code.wireshark.org/review/18204
    Reviewed-by: Jeff Morriss <jeff.morriss.ws@gmail.com>

commit 3e23931
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Wed Oct 12 21:55:54 2016 +0200

    CMakeLists: Add man files
    
    Current Wireshark.app bundle on OS X doesn't include man pages.
    
    This is the second try after commit 7da23ca1a5bba4af5e1104f4d3d3d44e918552b0
    has been reverted. Now cmake gets the information that the man files
    are generated.
    
    Bug: 12746
    Change-Id: I34dfec65bd57587ee048d7e1e2557fc9ab2b32eb
    Reviewed-on: https://code.wireshark.org/review/18170
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 9a6539990d16c02954a6eebfaf500d401d25b29a)
    Reviewed-on: https://code.wireshark.org/review/18194

commit f38a857
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Oct 13 13:50:55 2016 -0700

    Add bug 12724 to the release notes.
    
    Change-Id: I60f804b97aac33f4b35904ea7ac1213ff527ac1e
    Reviewed-on: https://code.wireshark.org/review/18191
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit cf5f80f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Oct 13 14:10:26 2016 +0200

    MAC LTE: fix dissection of Extended PHR Control Element
    
    It has the same value as the DL SC-MCCH/SC-MTCH CE, so take into account direction
    
    Change-Id: I75848f92342cfc67f2e6aee1f8bc42616e662cdc
    Reviewed-on: https://code.wireshark.org/review/18183
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 7ce85a92f95df8db0da85ce61c19de132c6914ea)
    Reviewed-on: https://code.wireshark.org/review/18185

commit 0cbd1db
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Mon Oct 10 20:10:23 2016 +0100

    Disable wslua GRegex unit test
    
    It's broken for recent GLib versions and there is no time frame for
    a fix.
    
    Ping-Bug: 12997
    Change-Id: Ia687af9b0df8fc37121179ba20761c878bf57057
    Reviewed-on: https://code.wireshark.org/review/18140
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 754d03cb822c8bb8a8813cab403ef3d4c39a7561)
    Reviewed-on: https://code.wireshark.org/review/18161
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c60bf9d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Oct 11 21:58:29 2016 +0200

    SMPP: use mktime_utc to convert struct tm to time_t
    
    Bug: 12632
    Change-Id: Ie340facff86d988b7a85f6351d85343169042ce9
    Reviewed-on: https://code.wireshark.org/review/18155
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit aa78460ef9793ea56f79ef353e9f6af3805799f8)
    Reviewed-on: https://code.wireshark.org/review/18158

commit 3a23e01
Author: Juanjo Martin <juanjo@rti.com>
Date:   Tue Oct 11 12:09:42 2016 +0200

    RTPS: Fixed octet to next header dissection when submessage is unknown
    
    Change-Id: If18d4797a8ace9f93546cac0d2d6f09bf7086cc3
    Reviewed-on: https://code.wireshark.org/review/18145
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 2ad87fab3403786490dc71339af4195cf5e1248c)
    Reviewed-on: https://code.wireshark.org/review/18152

commit 4127e39
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Oct 9 22:54:03 2016 -0400

    Profinet I/O: Sanity check number of I/O objects
    
    Can prevent really long loops from fuzz testing.
    
    Bug: 12851
    Change-Id: I85e00af2c4753ce4c5bcb650a7df188d7f679c9a
    Reviewed-on: https://code.wireshark.org/review/18136
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit e8022a9c7b36b96578a30fc8132def6de8928606)
    Reviewed-on: https://code.wireshark.org/review/18137

commit dfedbaf
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Oct 9 08:22:16 2016 -0700

    [Automatic update for 2016-10-09]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I7b8aa2ad2b75ba57e3150ffac60441b233e70ed2
    Reviewed-on: https://code.wireshark.org/review/18131
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit ba998bb
Author: Uli Heilmeier <openid@heilmeier.eu>
Date:   Sat Oct 8 12:10:11 2016 +0000

    Revert "CMakeLists: Add man files"
    
    This reverts commit 67494d47d530335d943a9d127df65c13d9e7e556.
    
    Change-Id: I434901508246c6491def59795e7e33863493298a
    Reviewed-on: https://code.wireshark.org/review/18122
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 56f8f7e
Author: shuai xiao <iamhihi@gmail.com>
Date:   Thu Oct 6 14:03:05 2016 -0700

    packet-ieee80211.c - fix bug in vht_compressed_beamforming_report
    
    Change-Id: I667c00a8093896984dbf75fa20bec86304706886
    Reviewed-on: https://code.wireshark.org/review/18101
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 18883a7154f36efee5bc40ad3d23013fd742514b)
    Reviewed-on: https://code.wireshark.org/review/18103

commit 67494d4
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Mon Sep 12 14:30:44 2016 +0200

    CMakeLists: Add man files
    
    Current Wireshark.app bundle on OS X doesn't include man pages.
    
    Change-Id: I4123105ae805c3f127dbfd74768b88d4da546c56
    Ping-Bug: 12746
    Reviewed-on: https://code.wireshark.org/review/17902
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 55148a2ea470d19290d236428f3c8e725775c96a)
    Reviewed-on: https://code.wireshark.org/review/18084
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 17b5bee
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Sun Sep 25 16:20:24 2016 +0200

    macOS: extend MANPATH for Wireshark.app
    
    Modify postinstall.sh script to add file /etc/manpaths.d/Wireshark
    during installation.
    Content of the file is the current path of the Wireshark manpages.
    
    Bug: 12746
    Change-Id: I1dc0dc9a2acf56c39c78c709294f1a6804c6ec5c
    Reviewed-on: https://code.wireshark.org/review/17916
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit bf424e6f8433a94921a9a4dc728621f169e00216)
    Reviewed-on: https://code.wireshark.org/review/18083
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2bd456d
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Thu Sep 8 16:00:29 2016 +0200

    TCP: Fix next sequence number for SYN/FIN packets with payload
    
    The next sequence number is off by one when there is TCP payload
    in a SYN or FIN packet (e.g. when using TCP FastOpen).
    
    Bug: 12579
    Bug: 12838
    Change-Id: Idb68cea4b4dcba39461019c08db09367cbfc6d68
    Reviewed-on: https://code.wireshark.org/review/16239
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 12d55fb917dad1aaba8429b24cb1eac49c3cd11f)
    Reviewed-on: https://code.wireshark.org/review/17975
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c95828d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Oct 5 21:29:57 2016 +0200

    EIGRP: fix checksum computation
    
    # Conflicts:
    #       epan/dissectors/packet-eigrp.c
    
    Bug: 12982
    Change-Id: Iaf816247d49b2f869dc19f64cb0a24247fb38169
    Reviewed-on: https://code.wireshark.org/review/18087
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/18089
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 75bfa51
Author: Andreas Urke <arurke@netwurke.com>
Date:   Thu Oct 6 01:24:08 2016 +0200

    packet-ieee802154: Correct DISSECT_IEEE802154_OPTION_ZBOSS from 0x03 to 0x04
    
    Bug: 12984
    Change-Id: Ie7d74a99807cfc77b0c444d79e21b64e1612ac90
    Reviewed-on: https://code.wireshark.org/review/18090
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e6b2601
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Sep 30 08:15:11 2016 +0200

    Kerberos: remove some unused #define
    
    for avoid conflit with heimdal lib
    
    Bug:12831
    Change-Id: Ic244b6b8dc4f68a0f782b88984ad7857ceb02e25
    Reviewed-on: https://code.wireshark.org/review/17989
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 2dfc0da22cc4c525c32baa2684666643d4bf23a0)
    Reviewed-on: https://code.wireshark.org/review/18077
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 4f9a166
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Oct 4 15:16:02 2016 +0200

    Openflow (v4/v5): Add check if all length is decoded
    
    Change-Id: I7846dd04c45d0398ded8345b6a2794d6f851cb64
    Ping-Bug: 12979
    Reviewed-on: https://code.wireshark.org/review/18065
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 23f11b755202d6ba9b7a8b80df7264992e3a41f0)
    Reviewed-on: https://code.wireshark.org/review/18080
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 85f9638
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Sep 30 08:10:01 2016 +0200

    spnego: use same name define name from krb5
    
    and for heimdal lib add the value
    
    Bug:12831
    Change-Id: Ibf04560867acfe2a430034248ce2a386ea89b668
    Reviewed-on: https://code.wireshark.org/review/17988
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit da8969ceefbcc1ad19f36309ccb5b208c6324b5c)
    Reviewed-on: https://code.wireshark.org/review/18076

commit 1ca224e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Oct 4 13:47:38 2016 -0700

    2.2.1 → 2.2.2.
    
    Change-Id: Iae56d735ffbf73d29edb4a80d2a23ae02ee08ae2
    Reviewed-on: https://code.wireshark.org/review/18078
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
